### A free/open-source library for quantitative finance

Classes
ql/pricingengine.hpp File Reference

Base class for pricing engines. More...

`#include <ql/patterns/observable.hpp>`
Include dependency graph for pricingengine.hpp:

## Classes

class | PricingEngine
| interface for pricing engines More...
class | GenericEngine< ArgumentsType, ResultsType >
| template base class for option pricing engines More...

## Detailed Description

Base class for pricing engines.